Changes between Version 1 and Version 2 of DebianPackages


Ignore:
Timestamp:
May 12, 2006, 9:16:03 AM (15 years ago)
Author:
Dominic Hargreaves
Comment:

inverted the defaults.

Legend:

Unmodified
Added
Removed
Modified
  • DebianPackages

    v1 v2  
    1515}}}
    1616
    17 Before we install the OpenGuides software itself, we need to know which database backend(s) we're planning on using, which webserver(s), and which search indexers. By default, OpenGuides will install the MySQL database backend and Apache 1.x webserver, so if you're planning on using SQLite or Postgres, or Apache 2, we need to specify this when installing the software. The Debian packages will note that you're installing one of the backends and won't force its own choices on you. To see what alternatives are available, look at the dependencies for the ''openguides'' package in your manager of choice and look for alternatives. For database backends, check the dependencies of ''libcgi-wiki-perl'' which ''openguides'' will install for you.
     17Before we install the OpenGuides software itself, we need to know which database backend(s) we're planning on using, which webserver(s), and which search indexers. By default, OpenGuides will install the MySQL database backend and Apache 2 webserver, so if you're planning on using SQLite or Postgres, or Apache 1, we need to specify this when installing the software. The Debian packages will note that you're installing one of the backends and won't force its own choices on you. To see what alternatives are available, look at the dependencies for the ''openguides'' package in your manager of choice and look for alternatives. For database backends, check the dependencies of ''libcgi-wiki-perl'' which ''openguides'' will install for you.
    1818
    19 So for a setup using SQLite as a database, Apache 2 as a webserver, and Plucene for searching, you would use
     19So for a setup using SQLite as a database, Apache 1 as a webserver, and Search::InvertedIndex for searching, you would use
    2020
    2121{{{
    22 apt-get install apache2 libdbd-sqlite3-perl libplucene-perl openguides
     22apt-get install apache libdbd-sqlite3-perl libsearch-invertedindex-perl openguides
    2323}}}
    2424
    25 However, the standard
     25(NOTE: we don't recommend that you use Search::InvertedIndex and, if you don't already have a web server installed, there probably isn't any good reason to install Apache 1).
     26
     27Other than this, the standard
    2628
    2729{{{